class Button {
  int id;
  int x;
  int y;
  int w;
  int h;
  String words;
  PFont font;

  color hover;
  color click;
  color standard;

  Boolean hoverCheck = false;
  Boolean clickCheck = false;
  Boolean clicked = false;

  Button(int id, int x, int y, int w, int h, String words, PFont font ) {
    this.id = id;
    this.x = x;
    this.y = y;
    this.w = w;
    this.h = h;
    this.words = words;
    this.font = font;

    standard = color(250, 250, 250);
    hover = color(225, 225, 225);
    click = color(150, 150, 150);
  }

  void drawButton() {
    stroke(0);
    strokeWeight(2);
    if (clickCheck) {
      fill(click);
    } 
    else if (hoverCheck) {
      fill (hover);
    } 
    else {
      fill(standard);
    }
    rect(x, y, w, h);
    textFont(font);
    fill(0);
    text(words, x+5, y+(h/2) + 5);
  }

  void updateButton() {
    // check mouseover
    if (mouseX > x && mouseX < (x+w) && mouseY > y && mouseY < (y+h)) hoverCheck = true;
    else hoverCheck = false;
  }

  boolean checkCollision() {
    if (hoverCheck) return true;
    else return false;
  }

  void collide() {
    //println("** Button clicked: " + words + " **");
    clickCheck = true;
  }
}

