class CheckBox{
  int id;
  int x;
  int y;
  int s;

  color hover;
  color click;
  color standard;
  
  Boolean hoverCheck = false;
  Boolean clickCheck = false;
  Boolean clicked = false;
  
  CheckBox(int id, int x, int y, int s) {
    this.id = id;
    this.x = x;
    this.y = y;
    this.s = s;
    
    standard = color(250, 250, 250);
    hover = color(225, 225, 225);
    click = color(150, 150, 150);
    
  }
  
  void drawCheckBox(){
    stroke(0);
    strokeWeight(2);
    
    if (clickCheck){
      fill(click);
    } else if (hoverCheck) {
      fill (hover);
    } else {
      fill(standard);
    }
    rect(x, y, s, s);
    
    if (clicked){
      fill(click);
      rect(x+3, y+3, s-6, s-6);
    }
  }
  
  void updateCheckBox(){
    // check mouseover
    if (mouseX > x && mouseX < (x+s) && mouseY > y && mouseY < (y+s)) hoverCheck = true;
    else hoverCheck = false;
  }
  
  boolean checkCollision(){
    if (hoverCheck) return true;
    else return false;
  }
  
  void collide(){
    //println("** Button clicked: " + words + " **");
    clickCheck = true;
  }
  
  void release(){
    if (clickCheck){
      if(clicked == true) clicked = false;
      else clicked = true;
      clickCheck = false;
    }
  }
}
